# Changelog

## v0.4.2

- you can now download godot 1.0!

## v0.4.1

Some minor changes to add support for the `godot-tools` VSCode extension.

- `-h` flag will now silence `godot-manager`s own output.
- `--version` now prints the output of Godot's `--version` on a newline.

## v0.4.0

Started working on a big refactor of the whole project.

- The version selector now lets you delete godot versions you have in the versions folder.
  - pressing the delete button will prompt you to confirm deleting the version
- The version selector now has mouse support. You can click on the select and delete buttons with the mouse
  - Note that you have to click once to focus a button, and click again to actually press it

## v0.3.1

actually builds now and should work

## v0.3.0

pretty much entirely refactored how it downloads versions

- can now download any version\*
- internal support for downloading builds for any platform (including mono)
- no longer just runs shell commands
- might work on other platforms now maybe (havent tested)
- ~~`.godot_version` can now be just a version number (eg. `4.1`, `v4.0-beta2`, etc) and it will try to use that version or download it if needed~~

\*any version listed on the download archive page for godot should work, however many older versions just dont have binaries that can be downloaded (they dont work on the website either!). if you have a problem with a version that does work on the website, please make an issue about it!

## v0.2.0

first versioned commit

- revamped the version picker. now uses the alternate screen buffer and should work with an arbitrary number of versions in the folder
- can now use the version picker to select a local folder version by using `godot switch -local`
- now prints godot manager version on run
- can now use `--version` to show godot manager version, the current target godot version, and the output of `godot --version` of the target godot version
- now tells you if you the version you are trying to use cant be found
- now tells you if you havent configured a godot version to use
- pageup/down now work in the version picker
- added `godot run <args>` to run godot as `godot <args>`. incase you need to run `godot switch` or `godot download` for some reason
- added `--version` flag to show current version folder, current target version, and the output of `godot --version` of the current target version
